import { AxiosInstance, AxiosRequestConfig, AxiosResponse } from 'axios';

export interface IRequestOptions extends AxiosRequestConfig {}

export interface IRequest {
  <T = any>(url: string, opts: IRequestOptions): Promise<T>;
}

export type BlLifeRechargeServicesOptions<T extends IRequest> = {
  request: T;
};

export type BlLifeRechargeOptions<T extends IRequest> = BlLifeRechargeServicesOptions<T> & {
  userId?: string;
};
